Source: lalinspiral
Section: science
Priority: optional
Maintainer: Steffen Grunewald <steffen.grunewald@aei.mpg.de>
Uploaders: Adam Mercer <adam.mercer@ligo.org>, GitLab <gitlab@git.ligo.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 help2man (>= 1.37),
 lal-octave (>= @MIN_LAL_VERSION@~),
 lalframe-octave (>= @MIN_LALFRAME_VERSION@~),
 lalmetaio-octave (>= @MIN_LALMETAIO_VERSION@~),
 lalsimulation-octave (>= @MIN_LALSIMULATION_VERSION@~),
 lalburst-octave (>= @MIN_LALBURST_VERSION@~),
 libgsl-dev | libgsl0-dev (>= 1.9),
 liblal-dev (>= @MIN_LAL_VERSION@~),
 liblalframe-dev (>= @MIN_LALFRAME_VERSION@~),
 liblalmetaio-dev (>= @MIN_LALMETAIO_VERSION@~),
 liblalsimulation-dev (>= @MIN_LALSIMULATION_VERSION@~),
 liblalburst-dev (>= @MIN_LALBURST_VERSION@~),
 libmetaio-dev (>= 8.2),
 liboctave-dev,
 pkg-config (>= 0.18.0),
 python3-all-dev,
 python3-glue,
 python3-lal (>= @MIN_LAL_VERSION@~),
 python3-lalframe (>= @MIN_LALFRAME_VERSION@~),
 python3-lalmetaio (>= @MIN_LALMETAIO_VERSION@~),
 python3-lalsimulation (>= @MIN_LALSIMULATION_VERSION@~),
 python3-lalburst (>= @MIN_LALBURST_VERSION@~),
 python3-numpy (>= @MIN_NUMPY_VERSION@),
 python3-pytest,
 rsync,
 swig (>= @MIN_SWIG_VERSION@) | swig3.0 (>= @MIN_SWIG_VERSION@),
X-Python3-Version: >= 3.5
Standards-Version: 3.9.8

Package: liblalinspiral@LIBMAJOR@
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: LSC Algorithm Library Inspiral
 The LSC Algorithm Inspiral Library for gravitational wave data analysis.
 This package contains the shared-object libraries needed to run applications
 that use the LAL Inspiral library.
Replaces: lalinspiral (<< 2.0.0-2~)
Breaks: lalinspiral (<< 2.0.0-2~)

Package: liblalinspiral-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libgsl-dev | libgsl0-dev (>= 1.9),
 liblal-dev (>= @MIN_LAL_VERSION@~),
 liblalframe-dev (>= @MIN_LALFRAME_VERSION@~),
 liblalinspiral@LIBMAJOR@ (= ${binary:Version}),
 liblalmetaio-dev (>= @MIN_LALMETAIO_VERSION@~),
 liblalsimulation-dev (>= @MIN_LALSIMULATION_VERSION@~),
 libmetaio-dev (>= 8.2),
Description: LSC Algorithm Library Inspiral Developers
 The LSC Algorithm Inspiral Library for gravitational wave data analysis.
 This package contains files needed build applications that use the LAL
 Inspiral library.
Provides: lalinspiral-dev (= ${binary:Version})
Replaces: lalinspiral-dev (<< 2.0.0-2~)
Breaks: lalinspiral-dev (<< 2.0.0-2~)

Package: lalinspiral-python3
Depends: python3-lalinspiral, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional package
 lalinspiral-python3 was renamed python3-lalinspiral,
 this is a transitional package, it can safely be removed.

Package: python3-lalinspiral
Section: python
Replaces: lalinspiral-python3 (<< 1.7.7.1-1~)
Breaks: lalinspiral-python3 (<< 1.7.7.1-1~)
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 liblalinspiral@LIBMAJOR@ (= ${binary:Version}),
 python3-glue,
 python3-lal (>= @MIN_LAL_VERSION@~),
 python3-lalframe (>= @MIN_LALFRAME_VERSION@~),
 python3-lalmetaio (>= @MIN_LALMETAIO_VERSION@~),
 python3-lalsimulation (>= @MIN_LALSIMULATION_VERSION@~),
 python3-lalburst (>= @MIN_LALBURST_VERSION@~),
 python3-ligo-lw,
 python3-ligo-segments,
Description: Python 3 bindings for LALInspiral
 The LSC Algorithm Inspiral Library for gravitational wave data analysis.
 This package contains Python 3 bindings for the LAL Inspiral library.

Package: lalinspiral-octave
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lal-octave (>= @MIN_LAL_VERSION@~),
 lalframe-octave (>= @MIN_LALFRAME_VERSION@~),
 lalmetaio-octave (>= @MIN_LALMETAIO_VERSION@~),
 lalsimulation-octave (>= @MIN_LALSIMULATION_VERSION@~),
 liblalinspiral@LIBMAJOR@ (= ${binary:Version}),
 octave,
Description: Octave bindings for LALInspiral
 The LSC Algorithm Inspiral Library for gravitational wave data analysis.
 This package contains Octave bindings for the LAL Inspiral library.

Package: lalinspiral
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 liblalinspiral@LIBMAJOR@ (= ${binary:Version}),
 python3-lalinspiral (= ${binary:Version}),
Description: LSC Algorithm Library Inspiral
 The LSC Algorithm Inspiral Library for gravitational wave data analysis.
 This package provides the runtime tools.
